## 系统模块

~~~
com.zhilian     
├── zhilian-ui              // 前端框架 [80]
├── zhilian-gateway         // 网关模块 [8080]
├── zhilian-auth            // 认证中心 [9200]
├── zhilian-common          // 通用模块
│       └── zhilian-common-core                         // 核心模块
│       └── zhilian-common-datascope                    // 权限范围
│       └── zhilian-common-datasource                   // 多数据源
│       └── zhilian-common-log                          // 日志记录
│       └── zhilian-common-redis                        // 缓存服务
│       └── zhilian-common-seata                        // 分布式事务
│       └── zhilian-common-security                     // 安全模块
│       └── zhilian-common-swagger                      // 系统接口
│       └── zhilian-common-system                       // 系统基础
├── zhilian-modules         // 业务模块
│       └── zhilian-system                              // 系统模块 [9201]
│       └── zhilian-gen                                 // 代码生成 [9202]
│       └── zhilian-job                                 // 定时任务 [9203]
│       └── zhilian-file                                // 文件服务 [9300]
│       └── zhilian-online                              // 车辆网关服务 [9901]
│       └── zhilian-resolver                            // 报文处理服务 [9902]
│       └── zhilian-business                            // 业务服务 [9903]
│       └── zhilian-manager                             // 管理服务 [9904]
├── zhilian-visual          // 图形化管理模块
│       └── zhilian-visual-monitor                      // 监控中心 [9100]
├──pom.xml                // 公共依赖
~~~
