#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../zhilian-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy zhilian-gateway "
cp ../zhilian-gateway/target/zhilian-gateway.jar ./zhilian/gateway/jar

echo "begin copy zhilian-auth "
cp ../zhilian-auth/target/zhilian-auth.jar ./zhilian/auth/jar

echo "begin copy zhilian-visual "
cp ../zhilian-visual/zhilian-monitor/target/zhilian-visual-monitor.jar  ./zhilian/visual/monitor/jar

echo "begin copy zhilian-modules-system "
cp ../zhilian-modules/zhilian-system/target/zhilian-modules-system.jar ./zhilian/modules/system/jar

echo "begin copy zhilian-modules-file "
cp ../zhilian-modules/zhilian-file/target/zhilian-modules-file.jar ./zhilian/modules/file/jar

echo "begin copy zhilian-modules-job "
cp ../zhilian-modules/zhilian-job/target/zhilian-modules-job.jar ./zhilian/modules/job/jar

echo "begin copy zhilian-modules-gen "
cp ../zhilian-modules/zhilian-gen/target/zhilian-modules-gen.jar ./zhilian/modules/gen/jar

