package com.zhilian.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhilian.common.core.annotation.Excel;
import com.zhilian.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@ToString
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("business_markers")
public class Markers extends BaseEntity {

    @TableId(value = "markers_id", type = IdType.AUTO)
    @Excel(name = "标识编号")
    private Long markersId;

    @TableField("markers_name")
    @Excel(name = "标识名称")
    private String markersName;


    @TableField(exist = false)
    List<Long> fenceIds;

}
