package com.zhilian.business.service;

import com.zhilian.business.domain.BreakLog;

import java.util.List;

/**
 * @ClassName BreakLogService
 * @Description TODO
 * @Author YuanYongH
 * @Date 2024/4/8 20:49
 */
public interface BreakLogService {
    List<BreakLog> breakLog();

    int logAdd(BreakLog breakLog);

    int updLog(BreakLog breakLog);

    int logDel(Integer breakLogId);

    /**
     *  根据故障码和vin判断数据库中是否有数据
     * @param breakCode
     * @param breakVin
     * @return
     */
    boolean checkIfBreakLogExists(String breakCode, String breakVin);
}
