package com.zhilian.resolver.controller;

import com.zhilian.common.core.domain.Result;
import com.zhilian.common.resolver.domain.SysUserEnhancedServices;
import com.zhilian.resolver.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
  * @ClassName UserController
  * @Description 用户信息 测试用
  * @Author Can.J
  * @Date  2024/4/4 11:30
 */
@RestController
public class UserController {
    @Autowired
    private UserService userService;


    @GetMapping("/getUser")
    public Result<List<SysUserEnhancedServices>> getUserEnhancedServices(){
        Result<List<SysUserEnhancedServices>> result =userService.getUserEnhancedServices();
        return result;
    }
}
