package com.zhilian.resolver.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhilian.common.resolver.domain.ResolverReportData;
import com.zhilian.common.resolver.domain.ResolverReportInfo;
import org.apache.ibatis.annotations.Mapper;
/**
  * @ClassName ResolverReportInfoMapper
  * @Description 解析事件服务业务实现层
  * @Author Can.J
  * @Date  2024/4/4 10:04
 */
@Mapper
public interface ResolverReportInfoMapper extends BaseMapper<ResolverReportInfo> {
    /**
     *  存储事件
     * @param vehicleData
     */
    void reportMapper(ResolverReportData vehicleData);

    /**
     *  故障事件
     * @param resolverReportData
     */
    void saveDataToDatabaseByMalfunction(ResolverReportData resolverReportData);
}
