package com.zhilian.resolver.service;

import com.zhilian.common.core.domain.Result;
import com.zhilian.common.core.web.page.PageResult;
import com.zhilian.common.resolver.domain.req.ReportByEsReq;
import com.zhilian.common.resolver.domain.resp.ReportByEsResp;
/**
  * @ClassName ReportByEsService
  * @Description ES 查询报文 业务层
  * @Author Can.J
  * @Date  2024/3/28 0:03
 */
public interface ReportByEsService {
    /**
     * @Description: 查询报文
     * @Param: [reportByEsReq]
     * @return: Result<PageResult<ReportByEsResp>>
     */
    Result<PageResult<ReportByEsResp>> queryReportByEs(ReportByEsReq reportByEsReq);
}
