package com.zhilian.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zhilian.common.core.annotation.Excel;
import com.zhilian.common.core.web.domain.BaseEntity;

/**
 *
 * @author zhilian
 * @date 2024-04-07
 */
public class BusinessBreak extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long breakId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String breakCar;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String breakVin;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date breakTime;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String breakType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String breakRank;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String breakState;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String breakDevice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String breakDesc;

    public void setBreakId(Long breakId)
    {
        this.breakId = breakId;
    }

    public Long getBreakId()
    {
        return breakId;
    }
    public void setBreakCar(String breakCar)
    {
        this.breakCar = breakCar;
    }

    public String getBreakCar()
    {
        return breakCar;
    }
    public void setBreakVin(String breakVin)
    {
        this.breakVin = breakVin;
    }

    public String getBreakVin()
    {
        return breakVin;
    }
    public void setBreakTime(Date breakTime)
    {
        this.breakTime = breakTime;
    }

    public Date getBreakTime()
    {
        return breakTime;
    }
    public void setBreakType(String breakType)
    {
        this.breakType = breakType;
    }

    public String getBreakType()
    {
        return breakType;
    }
    public void setBreakRank(String breakRank)
    {
        this.breakRank = breakRank;
    }

    public String getBreakRank()
    {
        return breakRank;
    }
    public void setBreakState(String breakState)
    {
        this.breakState = breakState;
    }

    public String getBreakState()
    {
        return breakState;
    }
    public void setBreakDevice(String breakDevice)
    {
        this.breakDevice = breakDevice;
    }

    public String getBreakDevice()
    {
        return breakDevice;
    }
    public void setBreakDesc(String breakDesc)
    {
        this.breakDesc = breakDesc;
    }

    public String getBreakDesc()
    {
        return breakDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("breakId", getBreakId())
            .append("breakCar", getBreakCar())
            .append("breakVin", getBreakVin())
            .append("breakTime", getBreakTime())
            .append("breakType", getBreakType())
            .append("breakRank", getBreakRank())
            .append("breakState", getBreakState())
            .append("breakDevice", getBreakDevice())
            .append("breakDesc", getBreakDesc())
            .toString();
    }
}
