package com.zhilian.common.resolver.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  * @ClassName SysUserEnhancedServices
  * @Description 客户增值服务中间表(客户-增值服务)
  * @Author Can.J
  * @Date  2024/4/4 11:23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysUserEnhancedServices {
    private Long useId;
    private Long enhancedServicesId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updateTime;
    private String createBy;
    private String updateBy;
    private int isDelete;
    private String remark;

}
