package com.zhilian.business.mapper;

import com.zhilian.business.domain.BreakLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName BreakLogMapper
 * @Description TODO
 * @Author YuanYongH
 * @Date 2024/4/8 20:49
 */
@Mapper
public interface BreakLogMapper {
    List<BreakLog> breakLog();

    int logAdd(BreakLog breakLog);

    int updLog(BreakLog breakLog);

    int logDel(Integer breakLogId);

    /**
     *  根据故障码和vin判断数据库中是否有数据
     * @param breakCode
     * @param breakVin
     * @return
     */
    BreakLog findByBreakCodeAndBreakVin(@Param("breakCode") String breakCode, @Param("breakVin") String breakVin);
}
